/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  Author: Miguel Angel Lopez Hernandez <miguel@gulev.org.mx>
 *
 *  Copyright 2005 Novell, Inc.
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 */

#include "eggtrayicon.h"

#define DBUS_INTERFACE "org.gnome.evolution.mail.dbus.Signal"

#define DEFAULT_IMG "stock_mail"
#define BLINK_IMG "stock_mail-unread"


typedef struct {
	EggTrayIcon *tray_icon;
	GtkTooltips *tray_icon_tooltip;
	GtkWidget *image;
	GtkWidget *evbox;
	GtkWidget *popup_menu;
	GdkPixbuf *icon;
	GdkPixbuf *blank_icon;
	GdkPixbuf *blink_icon;
	
	gboolean blink;
	gboolean newmail;
	
	gboolean created;
	int notify_type;
} EMTrayNotify;

static GnomeIconTheme *icon_theme = NULL;
static EMTrayNotify *evo_tray;

static gboolean
em_tray_blink_icon ();

static DBusHandlerResult
signal_filter (DBusConnection *connection, DBusMessage *message, void *user_data);

GdkPixbuf *
em_tray_get_image_scaled (const char *icon_name);

void
em_tray_init ();
